plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("com.google.gms.google-services")
    id("applovin-quality-service")
}
applovin {
    apiKey = "HiXscdwWaEIFC16qq8xh13TwCnN5Jrs_b0ANd1EtqbPEQX_KegZ5CxV47OaffUbNouMT1l31b3ND3kKEbthqWZ"
}

android {
    namespace = "com.prankapp.fartsounds.airhorn"
    compileSdk = 33

    defaultConfig {
        applicationId = "com.prankapp.fartsounds.airhorn"
        minSdk = 21
        targetSdk = 33
        versionCode = 2
        versionName = "1.1"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }
    //prank01 prank prank123
    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
}

dependencies {

    implementation("androidx.core:core-ktx:1.9.0")
    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.8.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    implementation("androidx.swiperefreshlayout:swiperefreshlayout:1.1.0")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")

    implementation ("com.google.code.gson:gson:2.8.6")

    implementation ("com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.47")

    implementation ("com.github.bumptech.glide:glide:4.16.0")
    implementation ("me.drakeet.materialdialog:library:1.3.1")

    annotationProcessor ("com.github.bumptech.glide:compiler:4.16.0")
    implementation ("com.github.ForgetAll:LoadingDialog:v1.1.2")

    implementation ("com.alibaba:fastjson:1.2.70")
    implementation(platform("com.google.firebase:firebase-bom:33.0.0"))
    implementation("com.google.firebase:firebase-analytics")

    implementation("com.applovin:applovin-sdk:12.5.0")
    implementation("com.applovin.mediation:adcolony-adapter:4.8.0.4")
    implementation("com.applovin.mediation:ironsource-adapter:8.1.0.0.0")
    implementation("com.applovin.mediation:vungle-adapter:7.3.2.1")
    implementation("com.applovin.mediation:facebook-adapter:6.17.0.0")
    implementation("com.applovin.mediation:bytedance-adapter:5.9.0.6.0")
    implementation("com.applovin.mediation:unityads-adapter:4.12.0.0")

}